function S=getS(gnd_vad)
%getS Get pairwise label matrix from labels
%
%	Usage:
%       S=getS(gnd_vad)
% 
%             Input:
%               gnd_vad - Labels of data
%
%             Output:
%               S - Pairwise label matrix. 
%
%   Written by Chenxia Wu (chenxiawu AT hotmail.com)

Nvad=length(gnd_vad);
S=zeros(Nvad,Nvad);
last=1;
for i=2:Nvad
    if(gnd_vad(i-1)~=gnd_vad(i))
        S(last:i-1,last:i-1)=1;
        if(last>1)
            S(last:i-1,1:last-1)=-1;
            S(1:last-1,last:i-1)=-1;
        end
        last=i;
    end
end
S(last:Nvad,last:Nvad)=1;
S(last:Nvad,1:last-1)=-1;
S(1:last-1,last:Nvad)=-1;
% S=S-diag(diag(S));